Page MenuHomePhabricator

Beta cluster not updating MW code
Closed, ResolvedPublic

Description

See http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version

Specifically, MediaWiki's version says "1.26alpha (c32e5fd) 13:32, 12 August 2015" and Flow's says "1.1 (e62cb0b) 01:03, 12 August 2015". The current UTC time is 22:38, 13 August 2015, so MW core is about 33 hours behind and Flow about 46 hours.

Event Timeline

Catrope created this task.Aug 13 2015, 9:39 PM
Catrope raised the priority of this task from to Unbreak Now!.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptAug 13 2015, 9:39 PM
greg added a subscriber: greg.Aug 13 2015, 9:41 PM

21:35:00 5 hosts had sync_wikiversions errors

bd808 closed this task as Resolved.Aug 13 2015, 9:51 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.

The shared ssh-agent used for scap had not been given a key following the server restart yesteerday. Fixed with sudo -u keyholder env SSH_AUTH_SOCK=/run/keyholder/agent.sock ssh-add /etc/keyholder.d/mwdeploy_rsa. The password needed for the key can be found in deployment-puppetmaster.deployment-prep:/var/lib/git/labs/private/files/ssh/tin/mwdeploy_rsa.passphrase

Change 231442 had a related patch set uploaded (by BryanDavis):
Return super().main() when overriding AbstractSync.main()

https://gerrit.wikimedia.org/r/231442

Change 231442 merged by jenkins-bot:
Return super().main() when overriding AbstractSync.main()

https://gerrit.wikimedia.org/r/231442

hashar added a subscriber: hashar.Aug 30 2015, 8:53 PM

That failed again for some random reason and @bd808 trick above fixed it. I am wondering whether we could autoload the key when the server start.

Restricted Application added a project: User-bd808. · View Herald TranscriptMay 10 2016, 4:28 PM
Restricted Application added subscribers: TerraCodes, Urbanecm. · View Herald Transcript
bd808 moved this task from To Do to Archive on the User-bd808 board.May 12 2016, 3:59 PM